#!/bin/bash

#Exit immediately if a simple command exits with a non-zero status
set -e
#Print shell input lines as they are read
set -v

#
# My Linux is Kubuntu 7.10 (Gutsy)
#
# My vlc-svn dir:
#
# -rwxr-xr-x  1 root root       69 2006-09-13 14:34 checkout.sh
# -rw-r--r--  1 root root 19824994 2007-08-19 13:55 contrib-20070530-win32-bin-gcc-3.4.5-only.tar.bz2
# -rw-r--r--  1 root root     5120 2007-07-12 04:00 jawt.dll
# -rw-r--r--  1 root root 72567355 2007-08-19 16:53 jdk1.6.0_02-win32.zip
# -rwxr-xr-x  1 root root    19456 2002-10-30 09:50 pexports.exe
# -rwxr-xr-x  1 root root     1745 2007-10-12 18:46 vk-build-java-mingw32.sh
# -rwxr-xr-x  1 root root     1482 2007-08-13 19:20 vk-build-java-mozilla.sh
# drwxr-xr-x 18 root root     1280 2007-10-10 22:26 vlc-trunk

BUILD_DIR=vlc-trunk-mingw32
CONTRIB_DIR=/usr/win32
JAVA_HOME=/usr/lib/jvm/java-6-sun;export JAVA_HOME

if ! [ -f $CONTRIB_DIR/lib/libjawt.dll.a ]; then
  # jawt.dll is copied from windows jdk1.6.0_02
  wine pexports.exe -v jawt.dll > jawt.dll.def
  sed -e "s'_JAWT_GetAWT'JAWT_GetAWT'" jawt.dll.def > jawt.dll.def.tmp
  rm jawt.dll.def
  mv jawt.dll.def.tmp jawt.dll.def
  /usr/i586-mingw32msvc/bin/dlltool --output-lib libjawt.dll.a --input-def jawt.dll.def --verbose
  cp libjawt.dll.a $CONTRIB_DIR/lib
fi

if ! [ -h $JAVA_HOME/bin/java.exe ]; then
  ln -s $JAVA_HOME/bin/java $JAVA_HOME/bin/java.exe
fi

if ! [ -h $JAVA_HOME/bin/javac.exe ]; then
  ln -s $JAVA_HOME/bin/javac $JAVA_HOME/bin/javac.exe
fi

/bin/rm -r -f ../$BUILD_DIR
/bin/cp -pr vlc-trunk/ ../$BUILD_DIR
cd ../$BUILD_DIR

./bootstrap > build-out0.log 2>&1 && \
PKG_CONFIG_LIBDIR=$CONTRIB_DIR/lib/pkgconfig \
CPPFLAGS="-I${CONTRIB_DIR}/include -I${CONTRIB_DIR}/include/ebml" \
LDFLAGS=-L${CONTRIB_DIR}/lib \
JAVA_HOME=/usr/lib/jvm/java-6-sun \
JAVAC=$JAVA_HOME/bin/javac.exe \
JAVA=$JAVA_HOME/bin/java.exe \
CC=i586-mingw32msvc-gcc CXX=i586-mingw32msvc-g++ \
./configure --host=i586-mingw32msvc --build=i386-linux --disable-gtk --enable-nls \
  --enable-sdl --with-sdl-config-path=$CONTRIB_DIR/bin \
  --enable-mozilla --with-mozilla-sdk-path=$CONTRIB_DIR/gecko-sdk \
  --enable-ffmpeg --with-ffmpeg-config-path=$CONTRIB_DIR/bin --with-ffmpeg-mp3lame --with-ffmpeg-faac \
  --with-ffmpeg-zlib --enable-faad --enable-flac --enable-theora \
  --with-freetype-config-path=$CONTRIB_DIR/bin --with-fribidi-config-path=$CONTRIB_DIR/bin \
  --enable-live555 --with-live555-tree=$CONTRIB_DIR/live.com --enable-caca --with-caca-config-path=$CONTRIB_DIR/bin \
  --with-xml2-config-path=$CONTRIB_DIR/bin --with-dvdnav-config-path=$CONTRIB_DIR/bin \
  --disable-cddax --disable-vcdx --enable-goom --enable-twolame --enable-dvdread \
  --enable-wxwidgets=no --enable-debug --enable-java-bindings --enable-shared-libvlc >> build-out0.log 2>&1 && \
make all >> build-out0.log 2>&1

make package-win32 > build-out1.log 2>&1

echo "Build RC=$?"
